Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234867 - SELinux denials when using LVM for domU storage
Summary: SELinux denials when using LVM for domU storage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 17:18 UTC by Adam Huffman
Modified: 2008-03-19 16:29 UTC (History)
6 users (show)

Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-19 16:29:55 UTC


Attachments (Terms of Use)
Setroubleshootd output (deleted)
2007-04-02 17:18 UTC, Adam Huffman
no flags Details
More SELinux denials (deleted)
2007-04-03 18:30 UTC, Adam Huffman
no flags Details

Description Adam Huffman 2007-04-02 17:18:17 UTC
Description of problem:
I've seen some SELinux denials when starting up a Xen domain using LVM logical
volumes for its storage.

Version-Release number of selected component (if applicable):
lvm2-2.02.17-1.fc6

How reproducible:
Every time

Steps to Reproduce:
1. Start domU with 'xm create' command
2.
3.
  
Actual results:
SELinux denials are registered, though the domain does appear to start up normally.

Expected results:
The domain should start up normally, without any denials.

Additional info:

Comment 1 Adam Huffman 2007-04-02 17:18:17 UTC
Created attachment 151448 [details]
Setroubleshootd output

Comment 2 Adam Huffman 2007-04-03 18:30:22 UTC
Created attachment 151603 [details]
More SELinux denials

Comment 5 Daniel Walsh 2008-03-18 20:53:38 UTC
Fedora 6 is no longer supported.  Current SELinux policy in Fedora 8 and Fedora
9 allows this access.


Note You need to log in before you can comment on or make changes to this bug.